- connection: local
  gather_facts: false
  hosts: localhost
  tasks:
  - git:
      clone: true
      dest: /tmp/cqaso-backend
      force: true
      key_file: /Users/gaox/PycharmProjects/CQCICD/id_rsa
      repo: git@gitlab.com:chuangqi/cqaso-backend.git
      update: true
      version: dev
    name: Update cqaso-consumer from gitlab.
  - args:
      chdir: /tmp/cqaso-backend/cqaso-commons
    name: Compiling cqaso-commons used mvn
    shell: mvn clean install -DskipTests
  - args:
      chdir: /tmp/cqaso-backend/cqaso-consumer
    name: Compiling cqaso-consumer used mvn
    shell: mvn clean package -DskipTests
  - args:
      chdir: /tmp/cqaso-backend/cqaso-consumer/target
    name: mv jar package
    shell: mv *.jar ../
  - args:
      chdir: /tmp/cqaso-backend/cqaso-commons/samples
    name: mv bash.sh to cqaso-consumer dir
    shell: mv base.sh /tmp/cqaso-backend/cqaso-consumer/
  - archive:
      dest: /tmp/release/cqaso-consumer-0efb74dbc574b19d0ceaf1a2cdc717f021b4d0a0
      exclude_path: /tmp/cqaso-backend/cqaso-consumer/target
      format: tar
      path:
      - /tmp/cqaso-backend/cqaso-consumer/*.jar
      - /tmp/cqaso-backend/cqaso-consumer/*.sh
    name: Archive a jar package
